aboutsummaryrefslogtreecommitdiffstats
path: root/main/perl-net-ssleay
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-09-08 13:52:46 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-09-08 13:52:46 +0000
commit22b7288f6e2b62af2a7bcdd55c7e01f12ca6bd4a (patch)
treee1d577caabefd512a596684e26645ac5c55f7921 /main/perl-net-ssleay
parentbf4d72e6a5d15d9597f1123af6cde53f41a2e018 (diff)
downloadaports-22b7288f6e2b62af2a7bcdd55c7e01f12ca6bd4a.tar.gz
aports-22b7288f6e2b62af2a7bcdd55c7e01f12ca6bd4a.tar.bz2
aports-22b7288f6e2b62af2a7bcdd55c7e01f12ca6bd4a.tar.xz
main/perl-net-ssleay: new aport
Perl extension for using OpenSSL http://search.cpan.org/dist/Net-SSLeay/
Diffstat (limited to 'main/perl-net-ssleay')
-rw-r--r--main/perl-net-ssleay/APKBUILD26
1 files changed, 26 insertions, 0 deletions
diff --git a/main/perl-net-ssleay/APKBUILD b/main/perl-net-ssleay/APKBUILD
new file mode 100644
index 0000000000..7a806c7ab5
--- /dev/null
+++ b/main/perl-net-ssleay/APKBUILD
@@ -0,0 +1,26 @@
+# Contributor: Natanael Copa <ncopa@alpinelinux.org>
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=perl-net-ssleay
+_realname=Net-SSLeay
+pkgver=1.35
+pkgrel=0
+pkgdesc="Perl extension for using OpenSSL"
+url="http://search.cpan.org/dist/Net-SSLeay/"
+license="GPL"
+depends="perl"
+makedepends="perl-dev openssl-dev zlib-dev"
+install=
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/F/FL/FLORA/Net-SSLeay-$pkgver.tar.gz"
+
+build() {
+ cd "$srcdir/$_realname-$pkgver"
+
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
+ make || return 1
+ make DESTDIR="$pkgdir" install
+ # creates file collision among perl modules
+ find "$pkgdir" -name perllocal.pod -delete
+}
+
+md5sums="1e4ec37a4467eb66a62d3c090ac9029b Net-SSLeay-1.35.tar.gz"